| Home | Libraries | People | FAQ | More

## Function template async_system

boost::process::async_system

## Synopsis

    // In header: <boost/process/async_system.hpp>

    template<typename ExitHandler, typename ... Args>
      unspecified async_system(boost::asio::io_context & ios,
                               ExitHandler && exit_handler, Args &&... args);

## Description

This function provides an asynchronous interface to process launching.

It uses the same properties and parameters as the other launching function, but is similar to the asynchronous functions in boost.asio

It uses asio::async_result to determine the return value (from the second parameter, `exit_handler`).

| Note
This function does not allow custom error handling, since those are done through the `exit_handler`.

Parameters:

`exit_handler` | The exit-handler for the signature `void(boost::system::error_code, int)`
`ios` | A reference to an io_context